package org.dromara.system.service;

import org.dromara.system.domain.TblCarInfo;
import org.dromara.system.domain.vo.TblCarInfoVo;
import org.dromara.system.domain.bo.TblCarInfoBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 车辆信息Service接口
 *
 * @author Lion Li
 * @date 2024-02-22
 */
public interface ITblCarInfoService {

    /**
     * 查询车辆信息
     */
    TblCarInfoVo queryById(Long id);

    /**
     * 查询车辆信息列表
     */
    TableDataInfo<TblCarInfoVo> queryPageList(TblCarInfoBo bo, PageQuery pageQuery);

    /**
     * 查询车辆信息列表
     */
    List<TblCarInfoVo> queryList(TblCarInfoBo bo);

    TableDataInfo<TblCarInfoVo> queryFlowList(TblCarInfoBo bo, PageQuery pageQuery);

    /**
     * 新增车辆信息
     */
    Boolean insertByBo(TblCarInfoBo bo);

    /**
     * 修改车辆信息
     */
    Boolean updateByBo(TblCarInfoBo bo);

    /**
     * 校验并批量删除车辆信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
